using namespace System;
using namespace System::Runtime::InteropServices; 

[DllImport("TUSBSCN1.DLL",CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Device_Open(short id);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbs01cn1_Device_Close(short id);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Counter_Read(short id, int *DataH, int *DataL);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Counter_Enable(short id);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Counter_Disable(short id);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Counter_Clear(short id);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Counter_Control(short id, unsigned char EnaSel, unsigned char ClrSel, unsigned char CntDir);
[DllImport("TUSBSCN1.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbs01cn1_Input_Read(short id, unsigned char cnt_mon, unsigned char ena_mon, unsigned char clr_mon);

static String^ Tusbs01cn1_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}